Package org.pushingpixels.substance.api.painter.decoration

# Interface SubstanceDecorationPainter

All Superinterfaces:
  `SubstanceTrait`

All Known Implementing Classes:
  `ArcDecorationPainter`, `BrushedMetalDecorationPainter`, `ClassicDecorationPainter`, `FlatDecorationPainter`, `FractionBasedDecorationPainter`, `Glass3DDecorationPainter`, `ImageWrapperDecorationPainter`, `MarbleNoiseDecorationPainter`, `MatteDecorationPainter`

public interface SubstanceDecorationPainter extends SubstanceTrait
Decoration painter interface for Substance look and feel. This class is part of officially supported API.

Since:
  version 4.3

## Method Summary

Modifier and Type
Method
Description
`void`
`paintDecorationArea(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)`
Paints the decoration area.

### Methods inherited from interface org.pushingpixels.substance.api.trait.SubstanceTrait

`getDisplayName`

## Method Details

### paintDecorationArea

void paintDecorationArea(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)
Paints the decoration area.

Parameters:
  `graphics` - Graphics context.
  `comp` - Component.
  `decorationAreaType` - Decoration area type. Must not be `null`.
  `width` - Width.
  `height` - Height.
  `skin` - Skin for painting the decoration area.